Skip to content

Get payment intent history

GET
/v2/send/payment-intents/{paymentIntentId}/history

Retrieve the complete history of status changes for a payment intent

paymentIntentId
required
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09

Payment Intent ID

List of payment intent history entries ordered by creation date

object
history
required

List of payment intent history entries

Array<object>
object
id
required

History entry ID

string format: uuid
oldStatus

Previous status

string
Allowed values: pending networkinprogress networkfailed networkcompleted payoutinprogress payoutfailed payoutcompleted completed failed refunded
newStatus
required

New status

string
Allowed values: pending networkinprogress networkfailed networkcompleted payoutinprogress payoutfailed payoutcompleted completed failed refunded
metadata

Additional metadata

object
createdAt
required

Timestamp when the status change occurred

string format: date-time

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error